// https://github.com/adafruit/Adafruit_NeoPixel/blob/master/examples/strandtest/strandtest.ino
// and
// https://create.arduino.cc/projecthub/robocircuits/neopixel-tutorial-1ccfb9
// NeoPixel Ring simple sketch (c) 2013 Shae Erisson
// Released under the GPLv3 license to match the rest of the
// Adafruit NeoPixel library

#include <tinyNeoPixel.h>
// NeoPixel Ring simple sketch (c) 2013 Shae Erisson
// Released under the GPLv3 license to match the rest of the
// Adafruit NeoPixel library

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN        4 // Cori's ATTiny NeoPixel Board 

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS 1 // Only 1 on board

// When setting up the NeoPixel library, we tell it how many pixels,
// and which pin to use to send signals. Note that for older NeoPixel
// strips you might need to change the third parameter -- see the
// strandtest example for more information on possible values.
tinyNeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

#define DELAYVAL 500 // Time (in milliseconds) to pause between pixels

void setup() {

  pixels.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)
  pixels.setBrightness(127); // about 1/3 brightness
}

void loop() {
  pixels.clear(); // Set all pixel colors to 'off', Color 1 Start
  delay(DELAYVAL);
  // pixels.Color() takes RGB values, from 0,0,0 up to 255,255,255
  // Here we're using a moderately bright green color:
  pixels.setPixelColor(0, pixels.Color(153, 153, 255));  //Light purple
  pixels.show();   // Send the updated pixel colors to the hardware.
  delay(DELAYVAL); // Pause before next pass through loop
  pixels.clear(); // Color 2 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(0, 102, 0));  //Green
  pixels.show();
  delay(DELAYVAL); 
  pixels.clear(); // Color 3 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(102, 0, 0));  //Red
  pixels.show();
  delay(DELAYVAL); 
  pixels.clear(); // Color 4 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(102, 0, 51));  //Violet
  pixels.show();
  delay(DELAYVAL); 
  pixels.clear(); // Color 5 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(0, 153, 153));  //Teal
  pixels.show();
  delay(DELAYVAL); 
  pixels.clear(); // Color 6 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(204, 102, 0));  //Yellow-orange
  pixels.show();
  delay(DELAYVAL);
  pixels.clear(); // Color 7 Start
  delay(DELAYVAL); 
  pixels.setPixelColor(0, pixels.Color(255, 255, 255));  //White
  pixels.show();
  delay(DELAYVAL); 

}
